#include "NfcReader.h"

NfcReader::NfcReader(int i2c_adress)
{
    this->mfrc522 = new MFRC522(i2c_adress);
    this->mfrc522->PCD_Init();
}

String NfcReader::ReadNfc()
{
    this->uid.clear();
    if (!this->mfrc522->PICC_IsNewCardPresent() ||
        !this->mfrc522->PICC_ReadCardSerial()) {
        return "0";
    }
    for (unsigned int i = 0; i < this->mfrc522->uid.size; i++) {
        if (this->mfrc522->uid.uidByte[i] < 0xF) {
            this->uid += '0';
            this->uid += String(this->mfrc522->uid.uidByte[i], HEX);
        } else {
            this->uid += String(this->mfrc522->uid.uidByte[i], HEX);
        }
    }
    return (this->uid);
}

bool NfcReader::IsNfcConnected()
{
    Wire.beginTransmission(NFC_ADDR);
    byte error = Wire.endTransmission();
    return error == 0;
}